Subject: Re: [ISSUE] Minor language nits

From: Jon Callas <[email-masked]>
Date: Thu, 3 Mar 2005 07:58:32 -0800

On 25 Feb 2005, at 12:48 PM, David Shaw wrote:

>
> Three minor language nits:
>
> In section 5.2.3. Version 4 Signature Packet Format:
>
>      - Two-octet scalar octet count for following hashed subpacket
>        data. Note that this is the length in octets of all of the
>        hashed subpackets; a pointer incremented by this number will
>        skip over the hashed subpackets.
>
> There needs to be a "the" between "for" and "following".  Note also
> the same problem one paragraph later for the item discussing the
> unhashed subpacket data.
>

Got them.

> =============================
>
> Throughout the document, references to RFCs are written
> inconsistently.  For example, there are 3 references to "RFC 1991"
> (with the space), and 2 references to "RFC1991" (without the space).
> I like it with the space, though I really don't care which way things
> go so long as it is consistent.  (It's not just 1991 - all the RFC
> references in the draft are mixed between the two styles).
>

Okay, here's what I did. All text referring to an RFC is now "RFC xxxx" 
-- with a space. But a reference in brackets such as [RFCxxxx] has no 
space. That just seemed like the right thing.

> =============================
>
> There are a few spots in the draft where "PGP" is used when "OpenPGP"
> should have been used (when referring to the standard, rather than the
> product):
>
>   Section 2.3 (Compression) has one in the second paragraph.
>

Fixed.

>   Section 5.2.1 (Signature Types) has one in the discussion of the 0x13
>   signature class.
>

Also fixed. There was also one in the 0x10 signature types.

>   Section 5.7 (Symmetrically Encrypted Data Packet) has one when
>   discussing "PGP's variant of Cipher Feedback (CFB) mode".
>
>

I contemplated this for a bit. I finally concluded that both you and my 
lawyer (who is on a Proper Trademark Usage campaign) agree and 
therefore no further thought is needed. :-)

	Jon